extends Node2D

export var type = ""
export var damage = 1
export var speed = 24.0
export var dir =  1
export var q = 1

var y = 0
var new_y = 0

func _process(delta):
	new_y += speed * delta
	if ceil(y) != ceil(new_y):
		y = new_y
		position.y += dir * q
		
func _ready():
	$life_time.connect("timeout", self, "queue_free")
	$life_time.start()
